Bug 1281844 - Review Request: webfts - Web interface for FTS3
Review Request: webfts - Web interface for FTS3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alejandro Alvarez
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 10:12 EST by Andrea
Modified: 2015-11-19 08:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 08:02:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
a.alvarezayllon: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Andrea 2015-11-13 10:12:47 EST
Spec URL: https://gitlab.cern.ch/fts/webfts/raw/master/packaging/rpm/webfts.spec
SRPM URL: https://grid-deployment.web.cern.ch/grid-deployment/dms/fts3/repos/el6/x86_64/webfts-2.2.5-1.el6.src.rpm
Description:  Web interface for FTS3 
Fedora Account System Username: andreamanzi
Comment 1 Gwyn Ciesla 2015-11-13 16:25:18 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/webfts
Comment 2 Alejandro Alvarez 2015-11-16 03:18:52 EST
Build fine in Rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=11862180
Comment 3 Alejandro Alvarez 2015-11-16 03:35:00 EST
In general, it looks mostly OK, except a couple of things:

1. It is not commented how to get/generate the corresponding .tar.gz
2. It includes build scripts that are outside the scope of this rpm
Comment 4 Andrea 2015-11-16 04:29:36 EST
thanks
i have fixed the spec for 1, 

regarding 2, build scripts are only present on the srpm i linked built with jenkins, the srpm in Koji are not affected

New build

http://koji.fedoraproject.org/koji/taskinfo?taskID=11863036

New srpm

https://kojipkgs.fedoraproject.org//work/tasks/3036/11863036/webfts-2.2.5-1.fc24.src.rpm
Comment 5 Alejandro Alvarez 2015-11-16 04:33:23 EST
MUST
====

[OK] The package must be named according to the Package Naming Guidelines.
[OK] Package does not use a name that already exist.
[OK] The spec file name must match the base package %{name}, in the format %{name}.spec
[OK] Spec file lacks Packager, Vendor, PreReq tags.
[OK] Changelog in prescribed format.
[OK] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[OK] The License field in the package spec file must match the actual license.
[OK] The spec file must be written in American English.
[OK] The spec file for the package MUST be legible.
[--] If a rename, provides/obsoletes is specified.
[--] The spec file MUST handle locales properly.
[--] Every binary RPM package which stores shared library files in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

[--] If the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[--] -debuginfo package or justification otherwise.
[--] Development files must be in a -devel package.
[--] Static libraries must be in a -static package.
[--] Devel packages must require the base package using a fully versioned dependency
[--] Large documentation files must go in a -doc subpackage.

[OK] The sources used to build the package must match the upstream source, as provided in the spec URL.

[OK] The package must contain code, or permissable content.

[OK] Package obeys FHS, except libexecdir and /usr/target.
[OK] Packages must NOT contain any .la libtool archives.
[OK] Packages must not own files or directories already owned by other packages
[--] Packages containing GUI applications must include a %{name}.desktop file.
[OK] A Fedora package must not list a file more than once in the spec file's %files listings.
[OK] A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[OK] Packages must NOT bundle copies of system libraries
[--] If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[OK] All filenames in rpm packages must be valid UTF-8.
[OK] Permissions on files must be set properly.

[OK] Each package must consistently use macros.
[OK] No external kernel modules
[OK] No inclusion of pre-built binaries or libraries
[OK] No need for external bits
[OK] All build dependencies must be listed in BuildRequires.
[--] If a package includes something as %doc, it must not affect the runtime of the application.
[--] %build honors applicable compiler flags or justifies otherwise.

	https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Compiler_flags

[--] The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[--] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[OK] Package installs properly.

SHOULD
======
[--] All patches have an upstream bug link or comment
[OK] The source package does not include license text(s) as a separate file from upstream.
[OK] No PreReq
[OK] %makeinstall is not used
[OK] Timestamp is preserved
[--] Parallel make
[--] Subpackages other than devel should require the base package using a fully versioned dependency.
[OK] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[--] The placement of pkgconfig(.pc) files should be in a -devel pkg
[OK] The package builds in mock.
[--] The package should compile and build into binary rpms on all supported architectures.
[OK] The package functions as described.
[--] If scriptlets are used, those scriptlets must be sane.
[--] The package should contain man pages for binaries/scripts
[--] The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
Comment 6 Alejandro Alvarez 2015-11-16 05:46:05 EST
Output from rpmlint:

webfts.noarch: W: no-documentation
webfts.noarch: E: script-without-shebang /var/www/webfts/css/site-tour-styles/custom-site-tour.scss
webfts.noarch: E: script-without-shebang /var/www/webfts/site-tour/introJs/bower.json
webfts.noarch: E: script-without-shebang /var/www/webfts/paraFiles/js/main.js
webfts.noarch: E: script-without-shebang /var/www/webfts/paraFiles/js/waypoints.js
webfts.noarch: E: backup-file-in-package /var/www/webfts/css/site-tour-styles/site-tour.scss~
webfts.noarch: E: script-without-shebang /var/www/webfts/paraFiles/js/jquery.easing.1.3.js
webfts.noarch: E: script-without-shebang /var/www/webfts/paraFiles/js/jquery.easing.1.3.min.js
webfts.noarch: E: script-without-shebang /var/www/webfts/site-tour/introJs/Makefile
webfts.noarch: E: script-without-shebang /var/www/webfts/site-tour/introJs/package.json
webfts.noarch: E: script-without-shebang /var/www/webfts/css/site-tour-styles/custom-site-tour.css
webfts.noarch: E: script-without-shebang /var/www/webfts/site-tour/introJs/introjs-rtl.css
webfts.noarch: E: script-without-shebang /var/www/webfts/paraFiles/js/jquery.stellar.min.js
webfts.noarch: E: script-without-shebang /var/www/webfts/site-tour/introJs/component.json
webfts.noarch: E: script-without-shebang /var/www/webfts/site-tour/introJs/intro.js
webfts.noarch: E: non-executable-script /var/www/webfts/site-tour/introJs/BUILD/BUILD.js 0644L /usr/bin/env
webfts.noarch: E: script-without-shebang /var/www/webfts/site-tour/introJs/README.md
webfts.noarch: E: script-without-shebang /var/www/webfts/site-tour/introJs/introjsProbChro.css
1 packages and 0 specfiles checked; 17 errors, 1 warnings.

Those 'script-without-shebang' are indeed marked as executables, when they probably shouldn't be.
Comment 7 Andrea 2015-11-16 08:24:11 EST
srpm wich fixes rpmlint errors:

https://kojipkgs.fedoraproject.org/work/tasks/6285/11866285/webfts-2.2.5-1.fc24.src.rpm
Comment 8 Andrea 2015-11-19 03:18:37 EST
new srpm with other fixed for rpmlint errors

https://kojipkgs.fedoraproject.org/work/tasks/2082/11902082/webfts-2.2.5-1.fc24.src.rpm
Comment 9 Alejandro Alvarez 2015-11-19 03:25:09 EST
Looks good now

# rpmlint webfts-2.2.5-1.fc24.noarch.rpm 
webfts.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Note You need to log in before you can comment on or make changes to this bug.